Bug 4215 - PAM_pwdb formats error message incorrectly
PAM_pwdb formats error message incorrectly
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
6.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-27 07:27 EDT by Göran Uddeborg
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-27 19:11:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 1999-07-27 07:27:41 EDT
As reported in bug #3029, it is not possible to log in as a
user with empty password.

Furthermore, the error message printed in this case is
incorrect.  PAM_pwdb uses the function pwdb_strerror() to
format the error message, but the error code is a PAM code,
not a PWDB code, so the correct function is pam_strerror().

I suggest the following patch:

*** support.-c~ Thu Apr  8 03:19:52 1999
--- support.-c  Mon Jul 26 17:14:17 1999
***************
*** 464,470 ****
            retval = pwdb_run_helper_binary(pamh, p);
        } else {
            retval = PAM_AUTHINFO_UNAVAIL;
!           _log_err(LOG_ALERT, "get passwd; %s",
pwdb_strerror(retval));
        }
        (void) pwdb_delete(&pw);
        p = NULL;
--- 464,470 ----
            retval = pwdb_run_helper_binary(pamh, p);
        } else {
            retval = PAM_AUTHINFO_UNAVAIL;
!           _log_err(LOG_ALERT, "get passwd; %s",
pam_strerror(pamh, retval));
        }
        (void) pwdb_delete(&pw);
        p = NULL;
Comment 1 Cristian Gafton 1999-08-27 19:11:59 EDT
This should be fixed in pam-0.68-3 and later

Note You need to log in before you can comment on or make changes to this bug.